Subject: v1.105 t2html.pl Text to html conversion script, Perl 5.003
From: [email-masked] (Jari Aalto+mail.perl)
Date: 20 Sep 1998 17:21:57 +0300
Newsgroups: comp.lang.perl.moderated,comp.lang.perl.announce,comp.lang.perl.misc

Download

	ANNOUNCE: v1.105 t2html.pl Text to html conversion script, Perl 5.003

	Home page: ftp://cs.uta.fi/pub/ssjaaa/t2html.html

	by Email

	    To: <[email-masked]>
	    Subject: send t2html.pl

Description

        Writing text documents is different from writing messages to Usenet
        or to your fellow workers. There already exists several tools to
        convert email messages into html, like MHonArc, Email
        hyper archiver, but for regular text documents, like for memos,
        FAQs, help pages and for other papers, I didn't find any suitable
        html converter couple of years back.

        I wanted a simple html tool which would read text documents I
        maintained: several Emacs guides, procmail tips page, program
        documentations, my home pages etc. and convert them into html. And
        here you will find the specification how to format your text
        documents for *t2html* perl script.

	Program has html Link validation commands and an Emacs minor
	mode to automatically fix or remove the links in the .txt
	document is planned.

How it works

	Text must be placed in certain column to enable proper html
	formatting. The style used is called Technical format (TF).
	You're looking at TF format right now. TF specification is
	included in the t2html --help.

        You need nothing else but a text editor where the current column
        number is displayed or editor that advances your TAB by 4 spaces.
        That's it.

Emacs and minor mode for helping to write TF

        If word `Emacs' means anything to you, then you can use additional
        Emacs minor mode (package TinyTf.el) that I wrote especially to
        help writing documents, formatting paragraphs, auto filling bullets
        and keeping TOC up to date. The description of the Emacs package is
        added to the page. If you don't know about Emacs but got
        interested, then see these for more Emacs info:

            ftp://cs.uta.fi/pub/ssjaaa/elisp.html
            ftp://cs.uta.fi/pub/ssjaaa/ema-tiny.html
            ftp://cs.uta.fi/pub/ssjaaa/tiny-tools.tar.gz  (contains tinytf.el)

Todo

	There are dozen of options and it would be nice if
	the files you convert can be specified in Perl confiration file.
	Currently the linking of separate documents must be instructed by
	hand with separate options:

		--button-next
		--button-previous
		--button-top		(usually index.txt)

	Expect to see better support for multiple document linking soon.

End